GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/tid-parse.c File Reference
`#include "defs.h"`
`#include "tid-parse.h"`
`#include "inferior.h"`
`#include "gdbthread.h"`
`#include <ctype.h>`

Go to the source code of this file.

## Functions
void ATTRIBUTE_NORETURN | invalid_thread_id_error (const char *string)
static int | get_positive_number_trailer (const char **pp, int trailer, const char *string)
struct thread_info * | parse_thread_id (const char *tidstr, const char **end)
int | tid_is_in_list (const char *list, int default_inferior, int inf_num, int thr_num)

## Function Documentation

## ◆ get_positive_number_trailer()

static int get_positive_number_trailer | ( | const char ** | pp,
|  | int | trailer,
|  | const char * | string
| ) |  |
| static

Definition at line 41 of file tid-parse.c.

References _, error(), and get_number_trailer().

Referenced by tid_range_parser::get_tid_or_range(), and parse_thread_id().

## ◆ invalid_thread_id_error()

void ATTRIBUTE_NORETURN invalid_thread_id_error | ( | const char * | string | ) |

Definition at line 29 of file tid-parse.c.

References _, and error().

Referenced by parse_thread_id(), thread_apply_command(), tid_is_in_list(), and watch_command_1().

## ◆ parse_thread_id()

struct thread_info* parse_thread_id | ( | const char * | tidstr,
|  | const char ** | end
| ) |  |

Definition at line 54 of file tid-parse.c.

References _, ALL_THREADS, current_inferior(), error(), find_inferior_id(), get_positive_number_trailer(), arm-linux::inf, invalid_thread_id_error(), thread_info::per_inf_num, inf::pid, thread_info::ptid, ptid_get_pid(), and show_inferior_qualified_tids().

Referenced by find_condition_and_thread(), set_sig_thread_cmd(), thread_command(), and watch_command_1().

## ◆ tid_is_in_list()

int tid_is_in_list | ( | const char * | list,
|  | int | default_inferior,
|  | int | inf_num,
|  | int | thr_num
| ) |  |

Definition at line 307 of file tid-parse.c.

References tid_range_parser::cur_tok(), tid_range_parser::finished(), tid_range_parser::get_tid_range(), and invalid_thread_id_error().

Referenced by should_print_thread().